Jump to content

[TOPIC: topicViewTemplate]
[GLOBAL: userSmallPhoto]
Photo

Is there a problem to build for iOS at the moment?
Started by rune7 Oct 11 2018 01:55 AM

3 replies to this topic
[TOPIC CONTROLS]
[/TOPIC CONTROLS]
[modOptionsDropdown]
[/modOptionsDropdown]
[reputationFilter]
[TOPIC: post.html]
#1

rune7

[GLOBAL: userInfoPane.html]
rune7
  • Contributor

  • 335 posts
  • Corona SDK

I've been trying to build for the passed 2 hours butI keep getting "a device build error on the server" message from the simulator. I tried using two different builds 3402 & 3391. I can build fine for android (on win)



[TOPIC: post.html]
#2

rune7

[GLOBAL: userInfoPane.html]
rune7
  • Contributor

  • 335 posts
  • Corona SDK

still unable to build



[TOPIC: post.html]
#3

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 24,970 posts
  • Corona Staff

I just did an iOS build and it succeeded.

 

Can you post your complete console log from the build?

 

Can you also share your build.settings?

 

Thanks

Rob



[TOPIC: post.html]
#4

rune7

[GLOBAL: userInfoPane.html]
rune7
  • Contributor

  • 335 posts
  • Corona SDK

Hi Rob,

 

This is one weird problem. There are no errors on the client side. I've downloaded the log from the server and it seems it's having a problem to get the app version from the build dialog (version 2.0.8 in my case, see below). It does work well for other apps I build. I've tried deleting that string and re-entering/changing it in the dialog but it didn't help. I think something that was saved locally wrong cause this behavior. When I changed the folder name on the computer and re-opened the project in the simulator as a new project it allowed me to build using the same app name and version I wanted. Don't know what went wrong but the problem is resolved now. 

 

This is the end of the error log if someone encounters this problem:

+ SUB_TYPE=pro
+ MODE_TYPE=developer
+ STATS_BUILD_ID=s323038
+ '[' -z /tmp/builds/5bc190ee1145b/5bc190ee1145b.zip ']'
+ '[' -z /tmp/builds/5bc190ee1145b/ ']'
+ pushd /home/ubuntu/buildsys-worker/workers/../tools
++ pwd
+ dir=/home/ubuntu/buildsys-worker/tools
+ path=/home/ubuntu/buildsys-worker/tools
+ popd
+ pushd /tmp/builds/5bc190ee1145b/
++ pwd
+ dir=/tmp/builds/5bc190ee1145b
+ TMP_DIR=/tmp/builds/5bc190ee1145b
+ popd
+ CONFIG_SRC=/tmp/builds/5bc190ee1145b/config.orig.lu
+ pushd /tmp/builds/5bc190ee1145b
+ unzip /tmp/builds/5bc190ee1145b/5bc190ee1145b.zip config.lu
+ true
+ popd
+ '[' '!' -f /tmp/builds/5bc190ee1145b/config.lu ']'
+ mv /tmp/builds/5bc190ee1145b/config.lu /tmp/builds/5bc190ee1145b/config.orig.lu
+ CONFIG_META=/tmp/builds/5bc190ee1145b/config.metadata.lua
+ echo 'Creating /tmp/builds/5bc190ee1145b/config.metadata.lua...'
Creating /tmp/builds/5bc190ee1145b/config.metadata.lua...
+ cat
+ checkError
+ '[' 0 -ne 0 ']'
+ echo '********* user(118978) sub(pro) mode(developer)'
********* user(118978) sub(pro) mode(developer)
+ CONFIG_REQUIRE=/tmp/builds/5bc190ee1145b/config_require.lua
++ uname -p
+ '[' x86_64 = x86_64 ']'
+ LUAC=/home/ubuntu/buildsys-worker/tools/luac64
+ '[' -e /tmp/builds/5bc190ee1145b/config_require.lua ']'
+ echo '********** Enforce Library Restriction *******'
********** Enforce Library Restriction *******
+ /home/ubuntu/buildsys-worker/tools/luac64 -s -o /tmp/builds/5bc190ee1145b/config.lu /tmp/builds/5bc190ee1145b/config.metadata.lua /tmp/builds/5bc190ee1145b/config_require.lua /tmp/builds/5bc190ee1145b/config.orig.lu /tmp/builds/5bc190ee1145b/config.metadata.lua
/home/ubuntu/buildsys-worker/tools/luac64: /tmp/builds/5bc190ee1145b/config.metadata.lua:8: unfinished string near '"2.0.8'



[topic_controls]
[/topic_controls]